using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using e_suite.Database.Audit.Models;

namespace e_suite.Database.Audit.UnitTests.Helpers.Tables;

public enum DisplayTestEnum
{
    [Display(Name = "Item 1")]
    Item1,
    [Display(Name = "Item 2")]
    Item2
}

[Table("TableWithDisplayEnums", Schema = "ENums")]
public class TableWithDisplayEnums : IId
{
    [Key]
    public long Id { get; set; }

    public DisplayTestEnum DisplayEnum { get; set; }
}